Subject: Re: [ipwave] AH with NIST quantum resistant new algo, a possibility

From: Alexandre Petrescu <[email-masked]>
Date: Tue, 18 Aug 2020 15:32:38 +0200

Hi,

I thought the other day about this possibility.

In order to support more deployment of IPv6-over-OCB in vehicular
environments: make it better than BSM security by speculating on the future.

We would speculate on the successful selection of a NIST quantum
resistant candidate algorithm, implement it open source in linux, put
its output in the Authentication Header of IPv6, and write a draft in
the process.

If one does not like to speculate, then one could also take the few
candidates and implement them all for AH, so the end user has a choice.

Thoughts?

Alex

Le 16/04/2019 à 12:33, William Whyte a écrit :
> But none of that explains why the BSM type is in scope for this
> group. That seems like a different work item.
> 
> - sent from my phone
> 
> On Tue, Apr 16, 2019, 12:28 PM Alexandre Petrescu 
> <[email-masked] <mailto:[email-masked]>>
> wrote:
> 
> 
> 
> Le 16/04/2019 à 12:12, William Whyte a écrit :
>> That's a decision made further up the stack. It's not part of the
> scope
>> of this group.
>> 
>> For what it's worth: In the US, the BSM-based applications are
> based on
>> SAE J2945/1 and SAE J2735-2016 and sent over WSMP. In Europe, 
>> cooperative awareness using CAM is based on EN 302 637-2 and sent
> over
>> BTP. But even if BSMs were sent over IP, the version of BSM used
> would
>> be out of scope for this group. That's how layered systems work.
> 
> I agree layered systems are good to focus, and interfaces.
> 
> I think that an overarching CAM-BSM message put on UDP/IP specified
> at IETF may get benefits beyond just layering and interfaces.
> 
> Such a spec would tell, for example, that in worst case the cars
> MUST accept both EtherTypes (dont drop either), by the principle of
> being conservative on what to accept.  And in best case expect an
> IPv6 EtherType that carrying an IP datagram carrying an overarching
> BSM-CAM.
> 
> That could probably improve safety in some situations.
> 
> It is also true that that is a standpoint of IP packets being the
> same all over the world, whereas cars are not really the same.  E.g.
> in America the cars are allowed to have both left and right yellow
> lights turned on permanently, but not in other parts of the world.
> 
> So I am really not sure whether an idea of an overarching CAM-BSM
> over IP can ever fly, even though I like it.
> 
> Alex
> 
>> 
>> William
>> 
>> - sent from my phone
>> 
>> On Tue, Apr 16, 2019, 11:45 AM Alexandre Petrescu 
>> <[email-masked]
> <mailto:[email-masked]> 
> <mailto:[email-masked] 
> <mailto:[email-masked]>>> wrote:
>> 
>> Which network/transport do BSMs use?
>> 
>> Alex
>> 
>> Le 16/04/2019 à 11:40, William Whyte a écrit :
>>> I don't fully understand why IPWAVE, which is about network /
>> transport
>>> protocols, needs to have an opinion about what form of BSM
> to use.
>>> 
>>> Cheers,
>>> 
>>> William
>>> 
>>> On Tue, Apr 16, 2019 at 10:58 AM Alexandre Petrescu 
>>> <[email-masked]
> <mailto:[email-masked]>
>> <mailto:[email-masked]
> <mailto:[email-masked]>>
>> <mailto:[email-masked]
> <mailto:[email-masked]>
>> <mailto:[email-masked]
> <mailto:[email-masked]>>>> wrote:
>>> 
>>> Sri,
>>> 
>>> Thank you very much for the email.
>>> 
>>> I would like to take this opportunity to discuss
> publicly a
>> particular
>>> topic in your email, that we already touched upon in
> private
>> a few
>>> months ago.
>>> 
>>> I purposefully keep the other ideas of you out of this
> email,
>> but I do
>>> agree with very many of them.
>>> 
>>> Le 16/04/2019 à 05:11, Sri Gundavelli (sgundave) a écrit : [...]
>>>> From the point of view of vehicular safety, its about
>> exchange of
>>>> BSM (Basic Safety Messages) between vehicles as per
> SAEJ735
>>>> standard.
>>> 
>>> Sri, but there are at least three versions of BSM.
>>> 
>>> Which BSM do you mean?
>>> 
>>> Why SAE and not ISO?  Both have 'International' in
> their names.
>>> 
>>> Why SAE 2016 and not SAE 2009?
>>> 
>>> - SAEJ2735 version 2009 (free access), (google hits "SAE J2735") 
>>> - SAEJ2735 version 2016 (paid access, cca 100 USD), (google hits
>>> "SAE J2735") - and the ISO/CEN/ETSI versions (free access): 
>>> https://www.tc278.eu/cits 
>>> https://standards.iso.org/iso/ts/19091/addgrp_c
>>> 
>>> (remark I dont mention ETSI CAM, which is ITS safety
> in Europe).
>>> 
>>> The three seem to be different in contents, to a few
> people.
>> Myself I
>>> identified the first and second to be distinct.
>>> 
>>> Ideally, safety would be just one standard, right?
> Something
>> like a
>>> combination of all BSM versions with the CAM version
> running on a
>>> transport that is common to all.
>>> 
>>> A safe car would need to be able to understand all
> these CAM
>> and BSM
>>> versions; if it misses just one because of some syntax
> error,
>> well,
>>> safety would be at stake.
>>> 
>>>> [...] and for very good reason IEEE WAVE standards
> did not
>> bother to
>>>> require IPv6 transport for carrying these messages.
>>> 
>>> I doubt that reason.
>>> 
>>> Alex
>>> 
>>> _______________________________________________ its mailing list 
>>> [email-masked] <mailto:[email-masked]> <mailto:[email-masked]
> <mailto:[email-masked]>> <mailto:[email-masked] <mailto:[email-masked]>
>> <mailto:[email-masked] <mailto:[email-masked]>>>
>>> https://www.ietf.org/mailman/listinfo/its
>>> 
>>> 
>>> 
>>> --
>>> 
>>> ---
>>> 
>>> I may have sent this email out of office hours. I never
> expect a
>>> response outside yours.
>> 
>